Bug 851746 - Review Request: bitlyclip - Shorten urls in the X clipboard with bit.ly
Review Request: bitlyclip - Shorten urls in the X clipboard with bit.ly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On: 851745
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 23:51 EDT by Ralph Bean
Modified: 2012-09-03 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 13:11:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-08-24 23:51:19 EDT
Spec URL: http://threebean.org/rpm/bitlyclip.spec
SRPM URL: http://threebean.org/rpm/bitlyclip-0.2.1-3.fc17.src.rpm
Description: bitlyclip is just a script that:

 - Takes a url in your clipboard.
 - Shortens it with the bit.ly url shortening services.
 - Puts the new url back in your clipboard.

It makes a nice 'hotkey' in whatever window manager you're using.

Fedora Account System Username: ralph

rpmlint output
--- ~/rpmbuild » rpmlint {SPECS,SRPMS}/bitlyclip*              
bitlyclip.src: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
bitlyclip.src: W: spelling-error Summary(en_US) ly -> l, y, lye
bitlyclip.src: W: spelling-error %description -l en_US url -> URL, curl, purl
bitlyclip.src: W: spelling-error %description -l en_US ly -> l, y, lye
bitlyclip.src: W: spelling-error %description -l en_US hotkey -> hokey, hockey, hot key
1 packages and 1 specfiles checked; 0 errors, 5 warnings.

koji - f18 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4421405
Comment 1 Mario Blättermann 2012-08-29 14:38:53 EDT
$ rpmlint -i -v *
bitlyclip.noarch: I: checking
bitlyclip.noarch: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error Summary(en_US) ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error %description -l en_US ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error %description -l en_US hotkey -> hokey, hockey, hot key
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: I: checking-url http://pypi.python.org/pypi/bitlyclip (timeout 10 seconds)
bitlyclip.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/bitlyclip/__init__.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

bitlyclip.noarch: W: no-manual-page-for-binary bitlyclip
Each executable in standard binary directories should have a man page.

bitlyclip.src: I: checking
bitlyclip.src: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error Summary(en_US) ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error %description -l en_US ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error %description -l en_US hotkey -> hokey, hockey, hot key
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: I: checking-url http://pypi.python.org/pypi/bitlyclip (timeout 10 seconds)
bitlyclip.src: I: checking-url http://pypi.python.org/packages/source/b/bitlyclip/bitlyclip-0.2.1.tar.gz (timeout 10 seconds)
bitlyclip.spec: I: checking-url http://pypi.python.org/packages/source/b/bitlyclip/bitlyclip-0.2.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 11 warnings.


Most of the spelling errors are ignorable, just "urls" could be better "URLs".

Please check out what to do with __init__.py. Maybe it helps to add the usual header for noarch Python packages:

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Or simply remove the shebang. Scripts in %{python_sitelib} usually don't have it.
Comment 2 Ralph Bean 2012-08-29 15:21:55 EDT
Great.  I left "urls" lower-cased... personal preference.

I cut a new upstream release that removes the shebang.

Spec URL: http://threebean.org/rpm/bitlyclip.spec
SRPM URL: http://threebean.org/rpm/bitlyclip-0.2.2-1.fc17.src.rpm
Comment 3 Mario Blättermann 2012-08-31 14:21:34 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4442247

$ rpmlint -i -v *
bitlyclip.src: I: checking
bitlyclip.src: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error Summary(en_US) ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error %description -l en_US ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: W: spelling-error %description -l en_US hotkey -> hokey, hockey, hot key
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.src: I: checking-url http://pypi.python.org/pypi/bitlyclip (timeout 10 seconds)
bitlyclip.src: I: checking-url http://pypi.python.org/packages/source/b/bitlyclip/bitlyclip-0.2.2.tar.gz (timeout 10 seconds)
bitlyclip.noarch: I: checking
bitlyclip.noarch: W: spelling-error Summary(en_US) urls -> curls, purls, hurls
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error Summary(en_US) ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error %description -l en_US ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: W: spelling-error %description -l en_US hotkey -> hokey, hockey, hot key
The value of this tag appears to be misspelled. Please double-check.

bitlyclip.noarch: I: checking-url http://pypi.python.org/pypi/bitlyclip (timeout 10 seconds)
bitlyclip.noarch: W: no-manual-page-for-binary bitlyclip
Each executable in standard binary directories should have a man page.

bitlyclip.spec: I: checking-url http://pypi.python.org/packages/source/b/bitlyclip/bitlyclip-0.2.2.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 11 warnings.

Almost the same as for your first package, nothing worth to discuss.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+

[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    812f5949bc921826735c1eda065c058eba3f910c664c369bfb443dfeec69da7e  bitlyclip-0.2.2.tar.gz
    812f5949bc921826735c1eda065c058eba3f910c664c369bfb443dfeec69da7e  bitlyclip-0.2.2.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


Maybe you could add a man page for bitlyclip in future releases? Not a review blocker, but worth to think about it, unless it has no recognizable arguments.
Comment 4 Ralph Bean 2012-09-01 03:04:27 EDT
Thanks again, Mario.  I just learned how to use help2man, so that might be a good candidate here.
Comment 5 Ralph Bean 2012-09-01 03:07:24 EDT
New Package SCM Request
=======================
Package Name: bitlyclip
Short Description: Shorten urls in the X clipboard with bit.ly
Owners: ralph
Branches: f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-09-01 11:55:02 EDT
Git done (by process-git-requests).
Comment 7 Ralph Bean 2012-09-03 13:11:14 EDT
Updates -> https://admin.fedoraproject.org/updates/bitlyclip

Note You need to log in before you can comment on or make changes to this bug.